classification
Title: Use non-ascii file names in tests by default
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: 35773 41068 41074 41094 41112 41113 Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-06-21 21:18 by serhiy.storchaka, last changed 2020-06-25 17:40 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21035 merged serhiy.storchaka, 2020-06-21 21:23
PR 21156 merged serhiy.storchaka, 2020-06-25 15:20
Messages (3)
msg372022 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-21 21:18
The following PR increases coverage of tests by making some paths non-ascii:

1. test.support.TESTFN now contains non-ascii characters if possible.
2. The temporary directory used as current working directory in tests also contains non-ascii characters if possible.

This helped to catch and fix one bug in zipfile and two bugs in handling PYTHONSTARTUP.
msg372372 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-25 14:56
New changeset 700cfa8c90a90016638bac13c4efd03786b2b2a0 by Serhiy Storchaka in branch 'master':
bpo-41069: Make TESTFN and the CWD for tests containing non-ascii characters. (GH-21035)
https://github.com/python/cpython/commit/700cfa8c90a90016638bac13c4efd03786b2b2a0
msg372382 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-25 17:39
New changeset f925407a19eeb9bf5f7640143979638adce2c677 by Serhiy Storchaka in branch '3.9':
[3.9] bpo-41069: Make TESTFN and the CWD for tests containing non-ascii characters. (GH-21035). (GH-21156)
https://github.com/python/cpython/commit/f925407a19eeb9bf5f7640143979638adce2c677
History
Date User Action Args
2020-06-25 17:40:13serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9
2020-06-25 17:39:19serhiy.storchakasetmessages: + msg372382
2020-06-25 15:20:53serhiy.storchakasetpull_requests: + pull_request20315
2020-06-25 14:56:35serhiy.storchakasetmessages: + msg372372
2020-06-25 11:19:01serhiy.storchakasetdependencies: + test_peg_generator fails on non-UTF-8 locale, test_warnings fails on non-Western locales
2020-06-25 09:52:21serhiy.storchakasetdependencies: + test_bdb fails on non-UTF-8 locale
2020-06-23 20:49:44serhiy.storchakasetdependencies: + Audit does not work with non-ASCII data on non-UTF-8 locale
2020-06-22 09:49:53serhiy.storchakasetdependencies: + msilib does not work correctly with non-ASCII names
2020-06-22 07:30:58serhiy.storchakalinkissue41063 dependencies
2020-06-22 07:29:16serhiy.storchakasetdependencies: + zipfile: read after write fails for non-ascii files
2020-06-21 21:23:43serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request20206
2020-06-21 21:18:39serhiy.storchakacreate